Delete journey state
Permanently delete a finished GBG Go journey session. You can delete only journeys that completed or failed.
POST
/
journey
/
state
/
delete
Delete journey state
curl --request POST \
--url https://eu.platform.go.gbgplc.com/v2/captain/journey/state/delete \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"instanceId": "<string>"
}
'import requests
url = "https://eu.platform.go.gbgplc.com/v2/captain/journey/state/delete"
payload = { "instanceId": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({instanceId: '<string>'})
};
fetch('https://eu.platform.go.gbgplc.com/v2/captain/journey/state/delete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://eu.platform.go.gbgplc.com/v2/captain/journey/state/delete",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'instanceId' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://eu.platform.go.gbgplc.com/v2/captain/journey/state/delete"
payload := strings.NewReader("{\n \"instanceId\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://eu.platform.go.gbgplc.com/v2/captain/journey/state/delete")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"instanceId\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://eu.platform.go.gbgplc.com/v2/captain/journey/state/delete")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"instanceId\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"instanceId": "<string>",
"status": "deleted",
"message": "<string>"
}{
"errors": [
{
"code": "<string>",
"name": "<string>",
"problem": "<string>",
"action": "<string>",
"location": "Path"
}
]
}{
"errors": [
{
"code": "<string>",
"name": "<string>",
"problem": "<string>",
"action": "<string>",
"location": "Path"
}
]
}{
"errors": [
{
"code": "<string>",
"name": "<string>",
"problem": "<string>",
"action": "<string>",
"location": "Path"
}
]
}{
"errors": [
{
"code": "<string>",
"name": "<string>",
"problem": "<string>",
"action": "<string>",
"location": "Path"
}
]
}{
"errors": [
{
"code": "<string>",
"name": "<string>",
"problem": "<string>",
"action": "<string>",
"location": "Path"
}
]
}{
"errors": [
{
"code": "<string>",
"name": "<string>",
"problem": "<string>",
"action": "<string>",
"location": "Path"
}
]
}This request deletes the journey’s data from the GBG Go API service only. It doesn’t delete the journey session record, documents, or biometrics in the Investigation portal. To delete those, for example for a GDPR erasure request, use Delete journey session in the Investigation portal.
DELETE:journey permission. For step-by-step instructions, error codes, and what the request deletes, see Delete journey data with the API.Authorizations
Customer JWT token for journey lifecycle operations. Required for: journey/start, journey/state/fetch, device/start
Body
application/json
Was this page helpful?
⌘I
Delete journey state
curl --request POST \
--url https://eu.platform.go.gbgplc.com/v2/captain/journey/state/delete \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"instanceId": "<string>"
}
'import requests
url = "https://eu.platform.go.gbgplc.com/v2/captain/journey/state/delete"
payload = { "instanceId": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({instanceId: '<string>'})
};
fetch('https://eu.platform.go.gbgplc.com/v2/captain/journey/state/delete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://eu.platform.go.gbgplc.com/v2/captain/journey/state/delete",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'instanceId' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://eu.platform.go.gbgplc.com/v2/captain/journey/state/delete"
payload := strings.NewReader("{\n \"instanceId\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://eu.platform.go.gbgplc.com/v2/captain/journey/state/delete")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"instanceId\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://eu.platform.go.gbgplc.com/v2/captain/journey/state/delete")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"instanceId\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"instanceId": "<string>",
"status": "deleted",
"message": "<string>"
}{
"errors": [
{
"code": "<string>",
"name": "<string>",
"problem": "<string>",
"action": "<string>",
"location": "Path"
}
]
}{
"errors": [
{
"code": "<string>",
"name": "<string>",
"problem": "<string>",
"action": "<string>",
"location": "Path"
}
]
}{
"errors": [
{
"code": "<string>",
"name": "<string>",
"problem": "<string>",
"action": "<string>",
"location": "Path"
}
]
}{
"errors": [
{
"code": "<string>",
"name": "<string>",
"problem": "<string>",
"action": "<string>",
"location": "Path"
}
]
}{
"errors": [
{
"code": "<string>",
"name": "<string>",
"problem": "<string>",
"action": "<string>",
"location": "Path"
}
]
}{
"errors": [
{
"code": "<string>",
"name": "<string>",
"problem": "<string>",
"action": "<string>",
"location": "Path"
}
]
}